Subject: RE: draft-ietf-l3vpn-vr-mib-03.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 6 Jan 2005 12:41:38 +0100

W.r.t.
> 
> > 2) The vr-mib goes to some length the support configuration 
> > using SNMP.
> > Other MIBs tend to be for monitoring purposes, with an 
> > occasional read-write variable. Do you see this MIB being 
> > used much for configuration?
> 
> I, speaking as one SP, intend to use it only for monitoring. This is
> largely because I have other mechanisms available for configuration of
> my platforms, such as Corba or XML interfaces, that I find 
> more valuable
> for this function.
> 
> However, I see value in having configuration capabilities in the MIB.
> The VR-MIB fills in a gap, allowing for creation of the VR, while the VR
> context MIBs allow for configuration of the VR itself. This might prove
> useful, perhaps even allowing for interoperable management tools.
> 
> Is there perhaps a precedent for better stating the requirement levels
> such that configuration functionality is not a MUST? This might satisfy
> both perspectives.
> 

I have been advising/suggesting to people to define 2 MODULE-COMPLIANCE
statement, one for monitoring and one for (what I call) FULL compliance
(so that includes configuration).

A good example is the MODULE-COMPLIANCE statements in RFC3289.

See also section 4.8 of draft-ietf-ops-mib-review-guidelines-03.txt

Hope this helps,
Bert